
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Gtk.Structs.WidgetAuxInfo
    ( 

-- * Exported types
    WidgetAuxInfo(..)                       ,
    noWidgetAuxInfo                         ,


 -- * Properties
-- ** Halign
    widgetAuxInfoReadHalign                 ,


-- ** Height
    widgetAuxInfoReadHeight                 ,


-- ** Margin
    widgetAuxInfoReadMargin                 ,


-- ** Valign
    widgetAuxInfoReadValign                 ,


-- ** Width
    widgetAuxInfoReadWidth                  ,




    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Gtk.Types
import GI.Gtk.Callbacks

newtype WidgetAuxInfo = WidgetAuxInfo (ForeignPtr WidgetAuxInfo)
noWidgetAuxInfo :: Maybe WidgetAuxInfo
noWidgetAuxInfo = Nothing

widgetAuxInfoReadWidth :: WidgetAuxInfo -> IO Int32
widgetAuxInfoReadWidth s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 0) :: IO Int32
    return val

widgetAuxInfoReadHeight :: WidgetAuxInfo -> IO Int32
widgetAuxInfoReadHeight s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 4) :: IO Int32
    return val

widgetAuxInfoReadHalign :: WidgetAuxInfo -> IO Word32
widgetAuxInfoReadHalign s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 8) :: IO Word32
    return val

widgetAuxInfoReadValign :: WidgetAuxInfo -> IO Word32
widgetAuxInfoReadValign s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 12) :: IO Word32
    return val

widgetAuxInfoReadMargin :: WidgetAuxInfo -> IO Border
widgetAuxInfoReadMargin s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 16) :: IO (Ptr Border)
    val' <- (newBoxed Border) val
    return val'


